Skip to main content
POST
/
api
/
v3
/
{teamSlug}
/
{projectId}
/
columns
curl -X POST "https://fluar.com/api/v3/acme-corp/proj_550e8400e29b41d4a716446655440000/columns" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "templateId": "waterfall-email",
    "header": "Find Work Email"
  }'
{
  "success": true,
  "column": {
    "id": "col_ddd444",
    "header": "Find Work Email",
    "type": "task",
    "dataShape": "waterfall",
    "order": 3,
    "taskConfig": {
      "taskType": "waterfallEmail",
      "waterfallEmail": {
        "waterfallType": "email",
        "providers": [
          { "id": "findymail-default", "taskType": "findymailFindByName", "enabled": true, "order": 0 },
          { "id": "icypeas-default", "taskType": "icypeasFindEmail", "enabled": true, "order": 1 }
        ],
        "inputMapping": {
          "first_name": "",
          "last_name": "",
          "full_name": "",
          "domain": ""
        }
      }
    }
  }
}
Create a new column from a template. First call GET /columns/templates to discover available templates, then pass the chosen templateId. The response includes the column’s full configuration so you can use PATCH /columns/{columnId} to fill in fields like dependencies, prompts, or input mappings. Column structure is automatically validated and fixed after creation. Any applied fixes are returned in the appliedFixes field. Requires a Bearer token.
curl -X POST "https://fluar.com/api/v3/acme-corp/proj_550e8400e29b41d4a716446655440000/columns" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "templateId": "waterfall-email",
    "header": "Find Work Email"
  }'
{
  "success": true,
  "column": {
    "id": "col_ddd444",
    "header": "Find Work Email",
    "type": "task",
    "dataShape": "waterfall",
    "order": 3,
    "taskConfig": {
      "taskType": "waterfallEmail",
      "waterfallEmail": {
        "waterfallType": "email",
        "providers": [
          { "id": "findymail-default", "taskType": "findymailFindByName", "enabled": true, "order": 0 },
          { "id": "icypeas-default", "taskType": "icypeasFindEmail", "enabled": true, "order": 1 }
        ],
        "inputMapping": {
          "first_name": "",
          "last_name": "",
          "full_name": "",
          "domain": ""
        }
      }
    }
  }
}